Skip to main content
GET
/
v1
/
batch-operations
/
{batchID}
Get a batch operation
curl --request GET \
  --url https://api.strait.dev/v1/batch-operations/{batchID} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "created_count": 123,
  "id": "<string>",
  "item_count": 123,
  "job_id": "<string>",
  "project_id": "<string>",
  "$schema": "<string>",
  "created_by": "<string>",
  "finished_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

batchID
string
required

Response

OK

created_at
string<date-time>
required
created_count
integer<int64>
required
id
string
required
item_count
integer<int64>
required
job_id
string
required
project_id
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/BatchOperation.json"

created_by
string
finished_at
string<date-time>